<?xml version="1.0" encoding="UTF-8"?>
<PMINBOX desc_thai="รายการข้อความส่วนตัว" desc_eng="Private Messages Transaction" verify="E" editcheck="true" verifygroup="true" mainhelp="PMINBOXHELP" referhelp="PMINBOXHELP" mainkey="MESSAGEID" fieldsystem="*">
	<FIELD>
		<MESSAGEID lang="A" encrypt="false" verify="false" log="false" type="AutoNumber" table="PMINBOX">
			<KEY>1</KEY>
			<RELATION>PMESSAGE</RELATION>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Message ID</DESC_ENG>
			<DESC_THAI>รหัสข้อความส่วนตัว</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสข้อความส่วนตัว</ALT_THAI>
				<ALT_ENG>Message ID</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</MESSAGEID>

		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสสำนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสสำนักงาน</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		
		<FLAG lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>5</WIDTH>
			<DESC_ENG>No. of Read</DESC_ENG>
			<DESC_THAI>จำนวนครั้งที่อ่าน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>จำนวนครั้งที่อ่าน</ALT_THAI>
				<ALT_ENG>No. of Read</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</FLAG>
	
		<TOPIC lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Topic</DESC_ENG>
			<DESC_THAI>หัวข้อ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_THAI>หัวข้อ</ALT_THAI>
				<ALT_ENG>Topic</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</TOPIC>

		<PMESSAGE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>500</WIDTH>
			<DESC_ENG>Message</DESC_ENG>
			<DESC_THAI>ข้อความ</DESC_THAI>
			<COMPONENT type="textarea">
				<MAXSIZE>1000</MAXSIZE>
				<SIZECHAR>60</SIZECHAR>
				<LINES>10</LINES>
				<ALT_THAI>ข้อความ</ALT_THAI>
				<ALT_ENG>Message</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
				</COMPONENT>
		</PMESSAGE>

		<SENDERID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Sender ID</DESC_ENG>
			<DESC_THAI>รหัสผู้ส่งข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสผู้ส่งข้อความ</ALT_THAI>
				<ALT_ENG>Sender ID</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</SENDERID>

		<SENDEREMAIL lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Sender E-mail</DESC_ENG>
			<DESC_THAI>อีเมลย์ผู้ส่งข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>255</MAXSIZE>
				<SIZE>100</SIZE>
				<ALT_ENG>Sender E-mail</ALT_ENG>
				<ALT_THAI>อีเมลย์ผู้ส่งข้อความ</ALT_THAI>
			</COMPONENT>
		</SENDEREMAIL>
			
		<USERID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>500</WIDTH>
			<RELATION>MUSER</RELATION>
			<DESC_ENG>User ID</DESC_ENG>
			<DESC_THAI>รหัสผู้รับข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>500</SIZE>
				<ALT_THAI>รหัสผู้รับข้อความ</ALT_THAI>
				<ALT_ENG>User ID</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</USERID>	

		<RECEIVEDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>20</WIDTH>
			<DESC_ENG>Receive Date</DESC_ENG>
			<DESC_THAI>วันที่ได้รับข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_THAI>วันที่ได้รับข้อความ</ALT_THAI>
				<ALT_ENG>Receive Date</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</RECEIVEDATE>
				
		<RECEIVETIME lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Receive Time</DESC_ENG>
			<DESC_THAI>เวลาที่ได้รับข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Receive Time</ALT_ENG>
				<ALT_THAI>เวลาที่ได้รับข้อความ</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</RECEIVETIME>

		<DELETESENDER lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Delete by Sender</DESC_ENG>
			<DESC_THAI>ลบโดยผู้ส่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Delete by Sender</ALT_ENG>
				<ALT_THAI>ลบโดยผู้ส่ง</ALT_THAI>
			</COMPONENT>
		</DELETESENDER>

		<DELETEUSER lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Delete by User</DESC_ENG>
			<DESC_THAI>ลบโดยผู้รับ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Delete by User</ALT_ENG>
				<ALT_THAI>ลบโดยผู้รับ</ALT_THAI>
			</COMPONENT>
		</DELETEUSER>
		 		
	</FIELD>

	<RELATION>
		<PMREPLY>
			<PARENT>PMINBOX.MESSAGEID</PARENT>
			<PARENT>PMINBOX.COMPANYID</PARENT>
			<CHILD>PMREPLY.MESSAGEID</CHILD>
			<CHILD>PMREPLY.COMPANYID</CHILD>
		</PMREPLY>
	</RELATION>

</PMINBOX>
